summaryrefslogtreecommitdiffstats
path: root/tests/ci
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ci')
-rw-r--r--tests/ci/docker/yardstick-ci/Dockerfile1
-rwxr-xr-xtests/ci/prepare_env.sh5
-rw-r--r--tests/ci/scp_storperf_admin-rc.sh7
-rwxr-xr-xtests/ci/yardstick-verify16
4 files changed, 28 insertions, 1 deletions
diff --git a/tests/ci/docker/yardstick-ci/Dockerfile b/tests/ci/docker/yardstick-ci/Dockerfile
index 684f47122..da755d11d 100644
--- a/tests/ci/docker/yardstick-ci/Dockerfile
+++ b/tests/ci/docker/yardstick-ci/Dockerfile
@@ -20,6 +20,7 @@ ENV RELENG_REPO_DIR ${REPOS_DIR}/releng
RUN apt-get update && apt-get install -y \
wget \
+ expect \
curl \
git \
sshpass \
diff --git a/tests/ci/prepare_env.sh b/tests/ci/prepare_env.sh
index 35118b12c..2c71c7c69 100755
--- a/tests/ci/prepare_env.sh
+++ b/tests/ci/prepare_env.sh
@@ -56,6 +56,11 @@ export EXTERNAL_NETWORK INSTALLER_TYPE DEPLOY_TYPE NODE_NAME
# Prepare a admin-rc file for StorPerf integration
$YARDSTICK_REPO_DIR/tests/ci/prepare_storperf_admin-rc.sh
+# copy a admin-rc file for StorPerf integration to the deployment location
+if [ "$NODE_NAME" == "huawei-pod1" ]; then
+ expect $YARDSTICK_REPO_DIR/tests/ci/scp_storperf_admin-rc.sh
+fi
+
# Fetching id_rsa file from jump_server..."
verify_connectivity() {
local ip=$1
diff --git a/tests/ci/scp_storperf_admin-rc.sh b/tests/ci/scp_storperf_admin-rc.sh
new file mode 100644
index 000000000..fd94aaa17
--- /dev/null
+++ b/tests/ci/scp_storperf_admin-rc.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/expect
+set timeout 30
+
+spawn scp -o StrictHostKeyChecking=no /root/storperf_admin-rc root@192.168.200.1:/root/storperf_admin-rc
+expect "root@192.168.200.1's password: "
+send "root\r"
+interact
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index 8f67b9ffb..eafadf987 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -133,8 +133,21 @@ install_storperf()
exit 1
fi
+ fi
+}
+
+remove_storperf()
+{
+ # remove Storper from huawei-pod1
+ if [ "$NODE_NAME" == "huawei-pod1" ]; then
echo
- echo "========== Installed storperf container =========="
+ echo "========== Removing storperf =========="
+
+ if ! yardstick -d plugin remove plugin/CI/storperf.yaml; then
+ echo "Remove storperf plugin FAILED";
+ exit 1
+ fi
+
fi
}
@@ -428,6 +441,7 @@ main()
install_storperf
run_test
+ remove_storperf
}
main